### R code from vignette source 'ropls.Rnw'

###################################################
### code chunk number 1: style-Sweave
###################################################
BiocStyle::latex()


###################################################
### code chunk number 2: ropls.Rnw:77-78
###################################################
library(ropls)


###################################################
### code chunk number 3: ropls.Rnw:89-91
###################################################
data(sacurine)
names(sacurine)


###################################################
### code chunk number 4: ropls.Rnw:96-100
###################################################
attach(sacurine)
strF(dataMatrix)
strF(sampleMetadata)
strF(variableMetadata)


###################################################
### code chunk number 5: ropls.Rnw:108-109 (eval = FALSE)
###################################################
## sacurine.pca <- opls(dataMatrix)


###################################################
### code chunk number 6: ropls.Rnw:111-112
###################################################
sacurine.pca <- opls(dataMatrix, plotL = FALSE)


###################################################
### code chunk number 7: ropls.Rnw:125-126 (eval = FALSE)
###################################################
## plot(sacurine.pca, plotVc = "x-score")


###################################################
### code chunk number 8: figPca
###################################################
plot(sacurine.pca, plotVc = "x-score", parDevNewL = FALSE)


###################################################
### code chunk number 9: ropls.Rnw:148-151 (eval = FALSE)
###################################################
## genderFc <- sampleMetadata[, "gender"]
## plot(sacurine.pca, plotVc = "x-score",
## parAsColFcVn = genderFc, parEllipsesL = TRUE)


###################################################
### code chunk number 10: figPcaMah
###################################################
genderFc <- sampleMetadata[, "gender"]
plot(sacurine.pca, plotVc = "x-score",
parAsColFcVn = genderFc, parEllipsesL = TRUE, parDevNewL = FALSE)


###################################################
### code chunk number 11: ropls.Rnw:173-174 (eval = FALSE)
###################################################
## sacurine.plsda <- opls(dataMatrix, genderFc)


###################################################
### code chunk number 12: ropls.Rnw:176-177
###################################################
sacurine.plsda <- opls(dataMatrix, genderFc, plotL = FALSE)


###################################################
### code chunk number 13: figPls
###################################################
plot(sacurine.plsda, plotVc = "x-score", parDevNewL = FALSE)


###################################################
### code chunk number 14: ropls.Rnw:203-205 (eval = FALSE)
###################################################
## sacurine.oplsda <- opls(dataMatrix, genderFc,
## predI = 1, orthoI = NA)


###################################################
### code chunk number 15: ropls.Rnw:207-209
###################################################
sacurine.oplsda <- opls(dataMatrix, genderFc,
predI = 1, orthoI = NA, plotL = FALSE)


###################################################
### code chunk number 16: figOpl
###################################################
plot(sacurine.oplsda, plotVc = "x-score", parDevNewL = FALSE)


###################################################
### code chunk number 17: ropls.Rnw:224-225 (eval = FALSE)
###################################################
## sacurine.oplsda <- opls(dataMatrix, genderFc, predI = 1, orthoI = NA, subset = "odd")


###################################################
### code chunk number 18: ropls.Rnw:227-228
###################################################
sacurine.oplsda <- opls(dataMatrix, genderFc, predI = 1, orthoI = NA, subset = "odd", plotL = FALSE)


###################################################
### code chunk number 19: ropls.Rnw:233-235
###################################################
trainVi <- sacurine.oplsda[["subset"]]
table(genderFc[trainVi], fitted(sacurine.oplsda))


###################################################
### code chunk number 20: ropls.Rnw:240-242
###################################################
table(genderFc[-trainVi],
      predict(sacurine.oplsda, dataMatrix[-trainVi, ]))


###################################################
### code chunk number 21: ropls.Rnw:249-250
###################################################
detach(sacurine)


###################################################
### code chunk number 22: ropls.Rnw:256-257 (eval = FALSE)
###################################################
## sessionInfo()


###################################################
### code chunk number 23: ropls.Rnw:259-260
###################################################
toLatex(sessionInfo())


###################################################
### code chunk number 24: ropls.Rnw:270-274 (eval = FALSE)
###################################################
## library(faahKO)
## cdfpath <- system.file("cdf", package = "faahKO")
## cdffiles <- list.files(cdfpath, recursive = TRUE, full.names = TRUE)
## basename(cdffiles)


###################################################
### code chunk number 25: ropls.Rnw:279-286 (eval = FALSE)
###################################################
## library(xcms)
## xset <- xcmsSet(cdffiles)
## xset
## xset <- group(xset)
## xset2 <- retcor(xset, family = "symmetric", plottype = "mdevden")
## xset2 <- group(xset2, bw = 10)
## xset3 <- fillPeaks(xset2)


###################################################
### code chunk number 26: ropls.Rnw:291-294 (eval = FALSE)
###################################################
## library(CAMERA)
## diffreport <- annotateDiffreport(xset3, quick=TRUE)
## diffreport[1:4, ]


###################################################
### code chunk number 27: ropls.Rnw:299-306 (eval = FALSE)
###################################################
## sampleVc <- grep("^ko|^wt", colnames(diffreport), value = TRUE)
## dataMatrix <- t(as.matrix(diffreport[, sampleVc]))
## dimnames(dataMatrix) <- list(sampleVc, diffreport[, "name"])
## sampleMetadata <- data.frame(row.names = sampleVc,
## genotypeFc = substr(sampleVc, 1, 2))
## variableMetadata <- diffreport[, !(colnames(diffreport) %in% c("name", sampleVc))]
## rownames(variableMetadata) <- diffreport[, "name"]


###################################################
### code chunk number 28: ropls.Rnw:311-314 (eval = FALSE)
###################################################
## library(ropls)
## opls(dataMatrix)
## opls(dataMatrix, sampleMetadata[, "genotypeFc"])


###################################################
### code chunk number 29: ropls.Rnw:317-318 (eval = FALSE)
###################################################
## rm(list = ls())


